
Foreman - Bug #5171

When editing a puppetclass parameter, wrong parameter information is displayed

04/11/2014 11:49 PM - Anonymous

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.4.2

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When you click on a puppet class to edit, and then navigate to the 'Smart Class Parameter' tab, the first parameter in the list is

selected. However, the information on the right is for another parameter. Image attached.

Related issues:

Related to Foreman - Tracker #4470: Usability of parameters and overrides New

Has duplicate Foreman - Bug #5872: smart class parameter display bug Duplicate 05/22/2014

History

#1 - 04/12/2014 12:12 AM - Stephen Benjamin

- Related to Feature #4469: Overriding or setting parameter values should show available values based on type and validator added

#2 - 04/12/2014 12:12 AM - Stephen Benjamin

- Related to Tracker #4470: Usability of parameters and overrides added

#3 - 04/12/2014 12:38 AM - Stephen Benjamin

- Related to deleted (Feature #4469: Overriding or setting parameter values should show available values based on type and validator)

#4 - 04/14/2014 05:51 PM - Dominic Cleal

I've never seen this before.. it may be worth re-testing on 1.5/nightly as the UI here has been improved a bit.  There's a chance whatever issue this

is/was may have been fixed in the process.

#5 - 04/15/2014 06:06 AM - Stephen Benjamin

I see it in nightly, too.

The left panel highlights the first parameter alphabetically, while the right panel shows the first overridable parameter.

#6 - 04/15/2014 02:17 PM - Dominic Cleal

- Category set to Web Interface

#7 - 05/23/2014 01:17 PM - Dominic Cleal

- Has duplicate Bug #5872: smart class parameter display bug added

#8 - 07/23/2014 08:10 AM - Alexandre Barth

this problem still remains in 1.6.0 develop (nightly builds)

#9 - 02/11/2015 04:57 AM - Alexandre Barth

do not have this problem anymore since 1.7

#10 - 02/11/2015 05:05 AM - Dominic Cleal

- Status changed from New to Resolved

05/13/2024 1/2



Thanks for confirming!
